Bug 111788 - Multiple bugs related to installing on a RAID
Multiple bugs related to installing on a RAID
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 22:39 EST by H. Peter Anvin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: test3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 13:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2003-12-09 22:39:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
I just tried to install Fedora Core 1 on a machine with 6 IDE disks in
a RAID configuration.  Per standard procedure I wanted /dev/md0
(RAID-1) to be /boot and the rest on /dev/md1 (RAID-5).

The idea with having /boot as a RAID-1 is that any disk should be able
to boot.

The six drives are hda, hdd (really), hde, hdg, hdi, and hdk.

Problem #1: The partition editor (disk druid?) did not see /dev/hdd. 
For whatever reason I could not convince disk druid to see /dev/hdd,
even though I could switch to a shell and access /dev/hdd from there.

Problem #2: The GRUB installation does not work.  After letting FC
install, the GRUB installation does not work on boot; it loads stage 2
and then gives a grub> prompt.  Poking around at the GRUB command line
one pretty soon discovers that GRUB is convinced there are no
harddrives in the system whatsoever.

Problem #3: After giving up on GRUB, I booted using SuperRescue, I
ended up installing LILO manually.  LILO insists that it doesn't
understand "how to handle" /dev/hdi or /dev/hdk, but specifying
"disk=/dev/hdi" "bios=0x84" or anything like that in /etc/lilo.conf
makes LILO very unhappy: "duplicate geometry definition for /dev/hdi",
 However, it apparently installs on the first four drives anyway. 
However, booting in this configuration the system refuses to mount
root, giving "error 22 mounting ext3".

This is after installing all the relevant RAID and filesystem modules,
so I don't think it's a missing module issue.

Yet, /dev/md1 has a valid ext3 filesystem which can be read just
fine... just not by the RedHat initrd apparently.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See description.


Additional info:
Comment 1 Jeremy Katz 2003-12-16 19:52:28 EST
First off, having multiple things listed in the same bugs makes it
impossible for me to ever track this properly :/

But
1) Is hdd a removable device in any way?  anaconda doesn't allow
installing to removable devices unless you boot with 'linux expert'
2) If grub doesn't see hard drives, that sounds a lot like BIOS
problem, but without more information, it's nearly impossible to say.
3) Going beyond 0x83 isn't supported by LILO afaik, so you're going to
lose trying to do this.  When booting, please provide all of the
messages from nash as its impossible for me to tell what's going on
otherwise.  Ensuring the drives are actually seen by the kernel would
be helpful as well.
Comment 2 H. Peter Anvin 2004-05-03 13:53:51 EDT
Confirmed fixed in FC2test3; if there are issues related to the boot
loader in FC2test3 I will file a separate bug report.

Note You need to log in before you can comment on or make changes to this bug.